> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agents

> List all AI agents in your enterprise using the Box AI Studio API.

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

<Warning>
  Box AI Studio is available only for Enterprise Advanced accounts.
</Warning>

The `GET /2.0/ai_agents` endpoint lists all AI agents in your enterprise, with optional filters for mode, state, and fields.

## Before you start

Make sure you have completed the steps in <Link href="/guides/ai-studio/getting-started-ai-studio">Getting started with AI Studio</Link> to create a platform app and generate a developer token.

## Send a request

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X GET "https://api.box.com/2.0/ai_agents" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.aiStudio.getAiAgents();
  ```

  ```python Python v10 theme={null}
  client.ai_studio.get_ai_agents()
  ```

  ```csharp .NET v10 theme={null}
  await client.AiStudio.GetAiAgentsAsync();
  ```

  ```swift Swift v10 theme={null}
  try await client.aiStudio.getAiAgents()
  ```

  ```java Java v10 theme={null}
  client.getAiStudio().getAiAgents()
  ```
</CodeGroup>

### Parameters

To make a call, you can pass the following parameters.

| Parameter             | Description                                                                                                  | Example                                             |
| --------------------- | ------------------------------------------------------------------------------------------------------------ | --------------------------------------------------- |
| `mode`                | The mode to filter the agent configuration to return. Possible values are: `ask`, `text_gen`, and `extract`. | `ask`                                               |
| `fields`              | The fields to return in the response. Value is one of `ask`, `text_gen`, `extract`.                          | `ask`                                               |
| `agent_state`         | The state of the agent to return. Value is one of `enabled`, `disabled`.                                     | `enabled`                                           |
| `include_box_default` | Whether to include the Box default agents in the response.                                                   | `true`                                              |
| `limit`               | The maximum number of items to return per page.                                                              | `1000`                                              |
| `marker`              | Defines the position marker at which to begin returning results.                                             | `JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii` |

<RelatedLinks
  title="RELATED GUIDES"
  items={[
{ label: translate("Developer Tokens"), href: "/guides/authentication/tokens/developer-tokens", badge: "GUIDE" },
{ label: translate("Ask questions to Box AI"), href: "/guides/box-ai/ai-tutorials/ask-questions", badge: "GUIDE" },
{ label: translate("Override AI model configuration"), href: "/guides/box-ai/ai-tutorials/default-agent-overrides", badge: "GUIDE" },
{ label: translate("Generate text with Box AI"), href: "/guides/box-ai/ai-tutorials/generate-text", badge: "GUIDE" },
{ label: translate("Extract metadata from file (structured)"), href: "/guides/box-ai/ai-tutorials/extract-metadata-structured", badge: "GUIDE" },
{ label: translate("Extract metadata from file (freeform)"), href: "/guides/box-ai/ai-tutorials/extract-metadata", badge: "GUIDE" }
]}
/>
